Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 853325 (frameworks-5.96-stable) - KDE Frameworks 5.96 stabilisation
Summary: KDE Frameworks 5.96 stabilisation
Status: RESOLVED FIXED
Alias: frameworks-5.96-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 857249
Blocks:
  Show dependency tree
 
Reported: 2022-06-21 14:18 UTC by Andreas Sturmlechner
Modified: 2022-08-06 04:08 UTC (History)
2 users (show)

See Also:
Package list:
kde-frameworks/attica-5.96.0 amd64 arm64 x86 kde-frameworks/baloo-5.96.0 amd64 arm64 x86 kde-frameworks/bluez-qt-5.96.0 amd64 arm64 x86 kde-frameworks/breeze-icons-5.96.0 amd64 arm64 x86 kde-frameworks/breeze-icons-rcc-5.96.0 amd64 arm64 x86 kde-frameworks/countryflags-5.96.0 amd64 arm64 x86 kde-frameworks/extra-cmake-modules-5.96.0 kde-frameworks/frameworkintegration-5.96.0 amd64 arm64 x86 kde-frameworks/kactivities-5.96.0 amd64 arm64 x86 kde-frameworks/kactivities-stats-5.96.0 amd64 arm64 x86 kde-frameworks/kapidox-5.96.0 amd64 arm64 x86 kde-frameworks/karchive-5.96.0 amd64 arm64 x86 kde-frameworks/kauth-5.96.0 amd64 arm64 x86 kde-frameworks/kbookmarks-5.96.0 amd64 arm64 x86 kde-frameworks/kcalendarcore-5.96.0 amd64 arm64 x86 kde-frameworks/kcmutils-5.96.0 amd64 arm64 x86 kde-frameworks/kcodecs-5.96.0 amd64 arm64 x86 kde-frameworks/kcompletion-5.96.0 amd64 arm64 x86 kde-frameworks/kconfig-5.96.0 amd64 arm64 x86 kde-frameworks/kconfigwidgets-5.96.0 amd64 arm64 x86 kde-frameworks/kcontacts-5.96.0 amd64 arm64 x86 kde-frameworks/kcoreaddons-5.96.0 amd64 arm64 x86 kde-frameworks/kcrash-5.96.0 amd64 arm64 x86 kde-frameworks/kdav-5.96.0 amd64 arm64 x86 kde-frameworks/kdbusaddons-5.96.0 amd64 arm64 x86 kde-frameworks/kdeclarative-5.96.0 amd64 arm64 x86 kde-frameworks/kded-5.96.0 amd64 arm64 x86 kde-frameworks/kdelibs4support-5.96.0 amd64 arm64 x86 kde-frameworks/kdesu-5.96.0 amd64 arm64 x86 kde-frameworks/kdnssd-5.96.0 amd64 arm64 x86 kde-frameworks/kdoctools-5.96.0 amd64 arm64 x86 kde-frameworks/kemoticons-5.96.0 amd64 arm64 x86 kde-frameworks/kfilemetadata-5.96.0 amd64 arm64 x86 kde-frameworks/kglobalaccel-5.96.0-r1 amd64 arm64 x86 kde-frameworks/kguiaddons-5.96.0 amd64 arm64 x86 kde-frameworks/kholidays-5.96.0 amd64 arm64 x86 kde-frameworks/khtml-5.96.0 amd64 arm64 x86 kde-frameworks/ki18n-5.96.0 amd64 arm64 x86 kde-frameworks/kiconthemes-5.96.0 amd64 arm64 x86 kde-frameworks/kidletime-5.96.0 amd64 arm64 x86 kde-frameworks/kimageformats-5.96.0 amd64 arm64 x86 kde-frameworks/kinit-5.96.0 amd64 arm64 x86 kde-frameworks/kio-5.96.0-r2 amd64 arm64 x86 kde-frameworks/kirigami-5.96.0-r1 amd64 arm64 x86 kde-frameworks/kitemmodels-5.96.0 amd64 arm64 x86 kde-frameworks/kitemviews-5.96.0 amd64 arm64 x86 kde-frameworks/kjobwidgets-5.96.0-r1 amd64 arm64 x86 kde-frameworks/kjs-5.96.0 amd64 arm64 x86 kde-frameworks/knewstuff-5.96.0 amd64 arm64 x86 kde-frameworks/knotifications-5.96.0 amd64 arm64 x86 kde-frameworks/knotifyconfig-5.96.0 amd64 arm64 x86 kde-frameworks/kpackage-5.96.0 amd64 arm64 x86 kde-frameworks/kparts-5.96.0 amd64 arm64 x86 kde-frameworks/kpeople-5.96.0 amd64 arm64 x86 kde-frameworks/kplotting-5.96.0 amd64 arm64 x86 kde-frameworks/kpty-5.96.0 amd64 arm64 x86 kde-frameworks/kquickcharts-5.96.0 amd64 arm64 x86 kde-frameworks/kross-5.96.0 amd64 arm64 x86 kde-frameworks/krunner-5.96.0 amd64 arm64 x86 kde-frameworks/kservice-5.96.0 amd64 arm64 x86 kde-frameworks/ktexteditor-5.96.0 amd64 arm64 x86 kde-frameworks/ktextwidgets-5.96.0 amd64 arm64 x86 kde-frameworks/kunitconversion-5.96.0 amd64 arm64 x86 kde-frameworks/kwallet-5.96.0 amd64 arm64 x86 kde-frameworks/kwayland-5.96.0 amd64 arm64 x86 kde-frameworks/kwidgetsaddons-5.96.0 amd64 arm64 x86 kde-frameworks/kwindowsystem-5.96.0 amd64 arm64 x86 kde-frameworks/kxmlgui-5.96.0 amd64 arm64 x86 kde-frameworks/modemmanager-qt-5.96.0 amd64 arm64 x86 kde-frameworks/networkmanager-qt-5.96.0 amd64 arm64 x86 kde-frameworks/oxygen-icons-5.96.0 amd64 arm64 x86 kde-frameworks/plasma-5.96.0-r1 amd64 arm64 x86 kde-frameworks/prison-5.96.0-r1 amd64 arm64 x86 kde-frameworks/purpose-5.96.0 amd64 arm64 x86 kde-frameworks/qqc2-desktop-style-5.96.0-r1 amd64 arm64 x86 kde-frameworks/solid-5.96.0 amd64 arm64 x86 kde-frameworks/sonnet-5.96.0 amd64 arm64 x86 kde-frameworks/syndication-5.96.0 amd64 arm64 x86 kde-frameworks/syntax-highlighting-5.96.0 amd64 arm64 x86 kde-frameworks/threadweaver-5.96.0 amd64 arm64 x86 dev-libs/plasma-wayland-protocols-1.7.0 amd64 arm64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2022-06-21 14:18:19 UTC
In preparation.
Comment 1 NATTkA bot gentoo-dev 2022-06-29 20:24:32 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2022-06-29 20:28:29 UTC Comment hidden (obsolete)
Comment 3 Frank Krömmelbein 2022-07-03 08:03:21 UTC
No problems have occurred
I have ignored anything related to +gles2-only and -X useflags.

----------

A note on qt 5.15.5 stabilization as before with stabilization of 5.15.4, I had to use the backtrack option for the emerge command on all of my systems. This was not necessary before for many updates. Unusual and unexpected...
Comment 4 Andreas Sturmlechner gentoo-dev 2022-07-09 17:12:33 UTC
Hm, considering the not so big delta to 5.96[1], might still switch to early stabilisation of that if the upcoming days (just released) remain quiet.

[1] https://mail.kde.org/pipermail/kde-announce/2022-July/000238.html
Comment 5 Andreas Sturmlechner gentoo-dev 2022-07-19 09:55:14 UTC
Yup, will go with that. 5.96 has been reasonably quiet, only kio is expected to receive one more revbump (one pre-5.95 regression and one revert).

Sorry Frank for the additional churn :)
Comment 6 Frank Krömmelbein 2022-07-20 06:47:51 UTC
Luckily it was just Frameworks, and not KDE Gear at these temperatures atm ;-)

No problems have occurred with KF 5.96.0
I have ignored anything related to +gles2-only and -X useflags.
Comment 7 Andreas Sturmlechner gentoo-dev 2022-07-23 11:57:37 UTC
TODO before stabilisation.
Comment 8 Andreas Sturmlechner gentoo-dev 2022-07-26 12:12:42 UTC
commit 818c9a3e72aa16feacd6535c555ba7ec7496e1d5
Author: Andreas Sturmlechner <asturm@gentoo.org>

    kde-frameworks/plasma: Fix (wayland session) crash in WindowShadowTile

commit befda3cc73a9de3fe71fd67bf806c5213eceeabc
Author: Andreas Sturmlechner <asturm@gentoo.org>

    kde-frameworks/kio: Fix RAW file image preview

commit 8f9ab097ec1aa4d73bb913800394705121b7a1f0
Author: Andreas Sturmlechner <asturm@gentoo.org>

    kde-frameworks/kirigami: Fix ScrollBar binding loop causing freezes

commit 2645002594bfc5a9f26ada398d863bafbb00da35
Author: Andreas Sturmlechner <asturm@gentoo.org>

    kde-frameworks/kjobwidgets: Fix ui-server crash

commit c1b6912946d2a307fc754deca8f8266d29522af7
Author: Andreas Sturmlechner <asturm@gentoo.org>

    kde-frameworks/qqc2-desktop-style: ProgressBar/Slider/ToolTip fixes
Comment 9 Andreas Sturmlechner gentoo-dev 2022-07-31 11:30:16 UTC
Frank, thanks for (double) testing!
Comment 10 Arthur Zamarin archtester gentoo-dev 2022-07-31 17:12:22 UTC
ppc done
Comment 11 Arthur Zamarin archtester gentoo-dev 2022-07-31 19:37:11 UTC
ppc64 done
Comment 12 NATTkA bot gentoo-dev 2022-08-05 15:28:19 UTC Comment hidden (obsolete)
Comment 13 Andreas Sturmlechner gentoo-dev 2022-08-05 15:41:33 UTC
*rubs eyes*
Comment 14 NATTkA bot gentoo-dev 2022-08-05 15:44:29 UTC
All sanity-check issues have been resolved
Comment 15 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-08-06 04:08:07 UTC
arm64 done
Comment 16 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-08-06 04:08:09 UTC
x86 done
Comment 17 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-08-06 04:08:12 UTC
amd64 done

all arches done